body {
    font-family: Arial, sans-serif;
    background: linear-gradient(to right, #1e3c72, #2a5298);
    background-image: url(back.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    color:rgb(243, 240, 240);
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    background: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    text-align: center;
    padding: 20px;
    width: 90%;
    max-width: 600px;
}

header h1 {
    margin: 0;
    font-size: 2.5em;
}

header p {
    margin: 10px 0;
    font-size: 1.2em;
}

.weather-info {
    margin-top: 20px;
}

.search-bar {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
    border-radius: 20px;
}

.search-bar input {
    padding: 10px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    width: 70%;
    max-width: 400px;
}

.search-bar button {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color:red;
    color: white;
    font-size: 1em;
    margin-left: 10px;
    cursor: pointer;
    border-radius: 20px;
    font-size: 1.5em;
}

.search-bar button:hover {
    background-color: #1e3c72;
}


.weather-display {
    display: none;
    flex-direction: column;
    align-items: center;
    font-weight: 600;
}

.alert {
    position: fixed;
    top: 300px;
    right: 700px;
    transform: translateY(-50px);
    background-color: #f44336;
    color: white;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 9999;
    transition: transform 0.5s ease;
    border-radius: 20px;
}

.alert:hover {
    transform: translateY(-50px) scale(1.05);
}


.weather-display h2 {
    margin: 10px 0;
}

.weather-display p {
    margin: 5px 0;
}

footer {
    margin-top: 20px;
}

footer p {
    margin: 0;
    font-size: 0.8em;
    font-weight: 600;
}
